<?php
/*
Plugin Name: up2date: Aktualisierungsdatum f&uuml;r Postings
Plugin URI: https://datenschmutz.net/up2date/
Text Domain: up2date
Description: Dieses Plugin f&uuml;gt ein Update-Datum in aktualisierte Posts (Beitr&auml;gen) ein.
Version: 1.03
Author: Ritchie Pettauer
Author URI: https://datenschmutz.net/
Update Server: https://datenschmutz.net/wp-content/download/uptodate/
Min WP Version: 3.5
Max WP Version: 4.9.7
*/

add_action('admin_menu', 'up2date_plugin_setup_menu');
 
function up2date_plugin_setup_menu(){
        add_options_page( 'up2date Plugin Page', 'up2date', 'manage_options', 'up2date-plugin', 'up2date_init' );
}
 
function up2date_init(){
        echo "<a href=\"https://datenschmutz.net\" target=\"_blank\"><img src=\"../wp-content/plugins/up2date/images/up2date-logo.jpg\" width=\"200\" height=\"120\" style=\"float:left;margin-top:20px;margin-right:20px;padding:0px !important;\"/></a>";
	    echo "<h1>" . esc_html__('Einstellungen &gt; datenschmutz up2date Plugin', 'up2date') . "</h1>";
	    echo "<p style=\"font-size:1.1em;\">" . esc_html__('Das up2date Plugin von datenschmutz.net &uuml;berpr&uuml;ft, ob zwischen dem Veröffentlichungs- und dem  Aktualisierungsdatum eines Beitrags mindestens 24h liegen. Wenn ja, f&uuml;gt up2date vor dem Inhalt, also vor the_content, ein Infozeile mit dem Aktualisierungsdatum ein.', 'up2date') . "</p>";
	    echo "<p>" . esc_html__('Das Plugin hat aktuell keine Backend-Optionen und schreibt keinerlei Daten in die Datenbank. Designanpassungen erfolgen via CSS, die &Uuml;bersetzungen via gettext und die Positionierung steuern Sie durch ein leeres div. Die n&ouml;tigen Infos dazu finden Sie auf dieser Seite.','up2date') . "</p>";
	    echo "<h3>" . __('Wie kann ich das Design der <em>zuletzt aktualisiert Meldung</em> anpassen?', 'up2date') . "</h3>";
	    echo "<p>" . esc_html__('F&uuml;gen Sie die CSS-Klasse .last-updated zur CSS-Datei Ihres Child-Themes hinzu oder tragen Sie die CSS-Formate in die Custom CSS Box Ihres Themes ein.', 'up2date') . "<br />" . __('<em>Beispielsformatierung:</em>', 'up2date') . "</p>";
	    echo "<div style=\"color:#666666;border:1px solid #666666;padding:10px;background-color:#ededed;min-width:300px;max-width:350px;\">.last-updated {<br (>&nbsp;&nbsp;&nbsp;font-size: 15px;<br />&nbsp;&nbsp;&nbsp;background-color: #4b758a;<br />&nbsp;&nbsp;&nbsp;color:#ffffff;<br />&nbsp;&nbsp;&nbsp;padding-left:6px;<br />&nbsp;&nbsp;&nbsp;padding-right:6px;<br />&nbsp;&nbsp;&nbsp;padding-top:2px;<br />&nbsp;&nbsp;&nbsp;padding-bottom:2px;<br />&nbsp;&nbsp;&nbsp;border:1px dotted #1d495e;<br />&nbsp;&nbsp;&nbsp;border-radius:3px;<br />}</div>";
	    echo "<p>" . esc_html__('So sieht die Infobox mit dem Beispiels-CSS aus:','up2date') . "</p>";
	    echo "<div style=\"font-size: 15px;background-color: #4b758a;color:#ffffff;padding-left:6px;padding-right:6px;padding-top:2px;padding-bottom:2px;margin-right:60px;border:1px dotted #1d495e;border-radius:3px;\">Zuletzt aktualisiert am 16. Juli 2018 um 10:35</div>";
	    echo "<h3>" . __('Die <em>zuletzt aktualisiert Meldung</em> taucht an der falschen Stelle auf / Ich m&ouml;chte die Infobox an einer anderen Stelle platzieren.', 'up2date') . "</h3>";    
		echo "<p>" . __('F&uuml;gen Sie ', 'up2date') . "<strong>" . esc_html('<div class="last-updated"></div>') . "</strong>" . esc_html__ (' ein, wo die Meldung erscheinen soll. Dazu m&uuml;ssen Sie den Source Code Editor-Modus benutzen.', 'up2date') . "<br />" . esc_html__('Alternativ k&ouml;nnen Sie dieses div auch an die gew&uuml;nschte Stelle in Ihr Child-Theme einf&uuml;gen.', 'up2date') . "</p>";
	  echo "<h3>" . esc_html__('Wie kann ich das Datums- und Zeitformat umstellen?', 'up2date') . "</h3>";   
	  echo "<p>" . esc_html__('Das Datums und Zeitformat k&ouml;nnen Sie ebenfalls &uuml;ber die Lokalisierungs-Dateien &auml;ndern. Zeit- und Datumsangaben sind Strings im WordPress / php Format.', 'up2date') . "</p>";
      echo "<h3>" . esc_html__('Ich ben&ouml;tige up2date in einer anderen Sprache als deutsch oder Englisch.', 'up2date') . "</h3>";   
	  echo "<p>" . __('Das Plugin ist komplett lokalisiert. Eigene &Uuml;bersetzungen k&ouml;nnen Sie mit LocoTranslate oder &auml;hnlichen Translation-Plugins erstellen. Informationen zu den Formatierungsm&ouml;glichkeiten finden Sie im <a href=\"https://codex.wordpress.org/Formatting_Date_and_Time\" target=\"_blank\">WordPress Codex</a>.', 'up2date') . "</p>";
	  echo "<h3>" . esc_html__('Ich habe noch andere Fragen / Ich m&ouml;chte den Plugin-Autor kontaktieren.', 'up2date') . "</h3>";   
	  echo "<p>" . __('Ich freue mich &uuml;ber Ihre Nachricht. Sie erreichen mit am besten via E-Mail (<a href=\"datenschmutz@gmail.com\">datenschmutz@gmail.com</a>) bzw. &uuml;ber mein <a href=\"https://datenschmutz.net/kontakt/\" target=\"_blank\">Kontaktformular</a>.', 'up2date') . "</p>";
	
}


add_action('plugins_loaded', 'plugin_init');
function plugin_init() {
		load_plugin_textdomain( 'up2date', false, dirname(plugin_basename(__FILE__)).'/languages/' );
		}

function wpds_last_updated_date( $content ) {
$u_time = get_the_time('U'); 
$u_modified_time = get_the_modified_time('U'); 
if ($u_modified_time >= $u_time + 86400 && is_single() ) { 
$updated_date = get_the_modified_time(__('j. F Y', 'up2date'));
$updated_time = get_the_modified_time(__('G:i', 'up2date')); 
$custom_content .= '<p class="last-updated"> '.	__('Zuletzt aktualisiert am ', 'up2date') . $updated_date . __(' um ', 'up2date') . $updated_time .'</p>';  

} 
 
    $custom_content .= $content;
    return $custom_content;
}
add_filter( 'the_content', 'wpds_last_updated_date' );

function custom_last_updated_script(){
  ?>
  <script>
  jQuery(window).load(function(){
  jQuery( ".last-updated" ).appendTo( ".lastupdated" );
  });
  </script>
  <?php
  }
add_action('wp_footer', 'custom_last_updated_script');

?>